Bug 227360 - databases/postgis23, databases/postgis24: minor updates 2.3.7 and 2.4.4
Summary: databases/postgis23, databases/postgis24: minor updates 2.3.7 and 2.4.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2018-04-08 05:55 UTC by Loïc Bartoletti
Modified: 2018-04-21 14:47 UTC (History)
1 user (show)

See Also:
lbartoletti: maintainer-feedback+
riggs: merge-quarterly+


Attachments
postgis 2.3.7 (5.97 KB, patch)
2018-04-08 05:55 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.4.4 (8.36 KB, patch)
2018-04-08 05:56 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2018-04-08 05:55:03 UTC
Created attachment 192325 [details]
postgis 2.3.7

Update postgis23 2.3.6 -> 2.3.7
Update postgis24 2.4.3 -> 2.4.4

PostGIS 2.3.7
2018/04/06

  * Bug Fixes and Enhancements

  - #3055, [raster] ST_Clip() on a raster without band crashes the server
          (Regina Obe)
  - #3978, Fix KNN when upgrading from 2.1 or older (Sandro Santilli)
  - #4003, lwpoly_construct_circle: Avoid division by zero (Raúl Marín Rodríguez)
  - #4017, lwgeom lexer memory corruption (Peter E)
  - #4020, Casting from box3d to geometry now returns correctly connected
           PolyhedralSurface (Matthias Bay)
  - #4025, #4032 Incorrect answers for temporally "almost overlapping" ranges
           in ST_ClosestPointOfApproach and ST_CPAWithin
           (Paul Ramsey, Darafei Praliaskouski)
  - #4052, schema qualify several functions in geography (Regina Obe)

PostGIS 2.4.4
2018/04/08

 * Bug fixes *
  - #3055, [raster] ST_Clip() on a raster without band crashes the server
          (Regina Obe)
  - #3942, geojson: Do not include private header for json-c >= 0.13
           (Björn Esser)
  - #3952, ST_Transform fails in parallel mode (Paul Ramsey)
  - #3978, Fix KNN when upgrading from 2.1 or older (Sandro Santilli)
  - #4003, lwpoly_construct_circle: Avoid division by zero (Raúl Marín Rodríguez)
  - #4004, Avoid memory exhaustion when building a btree index (Edmund Horner)
  - #4016, proj 5.0.0 support (Raúl Marín Rodríguez)
  - #4017, lwgeom lexer memory corruption (Peter E)
  - #4020, Casting from box3d to geometry now returns correctly connected
           PolyhedralSurface (Matthias Bay)
  - #4025, #4032 Incorrect answers for temporally "almost overlapping" ranges
           (Paul Ramsey, Darafei Praliaskouski)
  - #4052, schema qualify several functions in geography (Regina Obe)
  - #4055, ST_ClusterIntersecting drops SRID (Daniel Baston)


---
Poudriere 10 11 i386/amd64 OK
Comment 1 Loïc Bartoletti 2018-04-08 05:56:12 UTC
Created attachment 192326 [details]
postgis 2.4.4
Comment 2 commit-hook freebsd_committer 2018-04-21 12:10:26 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr 21 12:10:00 UTC 2018
New revision: 467882
URL: https://svnweb.freebsd.org/changeset/ports/467882

Log:
  Update to upstream version 2.3.7

  Details:
  Bug Fixes and Enhancements:
  - #3055, [raster] ST_Clip() on a raster without band crashes the server
           (Regina Obe)
  - #3978, Fix KNN when upgrading from 2.1 or older (Sandro Santilli)
  - #4003, lwpoly_construct_circle: Avoid division by zero (Ra??l Mar??n Rodr??guez)
  - #4017, lwgeom lexer memory corruption (Peter E)
  - #4020, Casting from box3d to geometry now returns correctly connected
           PolyhedralSurface (Matthias Bay)
  - #4025, #4032 Incorrect answers for temporally "almost overlapping" ranges
           in ST_ClosestPointOfApproach and ST_CPAWithin
           (Paul Ramsey, Darafei Praliaskouski)
  - #4052, schema qualify several functions in geography (Regina Obe)

  PR:		227360
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)
  MFH:		2018Q2

Changes:
  head/databases/postgis23/Makefile
  head/databases/postgis23/distinfo
  head/databases/postgis23/pkg-plist
Comment 3 commit-hook freebsd_committer 2018-04-21 12:16:32 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr 21 12:16:06 UTC 2018
New revision: 467883
URL: https://svnweb.freebsd.org/changeset/ports/467883

Log:
  MFH: r467882

  Update to upstream version 2.3.7

  Details:
  Bug Fixes and Enhancements:
  - #3055, [raster] ST_Clip() on a raster without band crashes the server
           (Regina Obe)
  - #3978, Fix KNN when upgrading from 2.1 or older (Sandro Santilli)
  - #4003, lwpoly_construct_circle: Avoid division by zero (Ra??l Mar??n Rodr??guez)
  - #4017, lwgeom lexer memory corruption (Peter E)
  - #4020, Casting from box3d to geometry now returns correctly connected
           PolyhedralSurface (Matthias Bay)
  - #4025, #4032 Incorrect answers for temporally "almost overlapping" ranges
           in ST_ClosestPointOfApproach and ST_CPAWithin
           (Paul Ramsey, Darafei Praliaskouski)
  - #4052, schema qualify several functions in geography (Regina Obe)

  PR:		227360
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/databases/postgis23/Makefile
  branches/2018Q2/databases/postgis23/distinfo
  branches/2018Q2/databases/postgis23/pkg-plist
Comment 4 commit-hook freebsd_committer 2018-04-21 14:03:57 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr 21 14:03:51 UTC 2018
New revision: 467890
URL: https://svnweb.freebsd.org/changeset/ports/467890

Log:
  Update to upstream release 2.4.4

  Details:
  Bug fixes
  - #3055, [raster] ST_Clip() on a raster without band crashes the server
          (Regina Obe)
  - #3942, geojson: Do not include private header for json-c >= 0.13
           (Bjoern Esser)
  - #3952, ST_Transform fails in parallel mode (Paul Ramsey)
  - #3978, Fix KNN when upgrading from 2.1 or older (Sandro Santilli)
  - #4003, lwpoly_construct_circle: Avoid division by zero (Raul Marin Rodriguez)
  - #4004, Avoid memory exhaustion when building a btree index (Edmund Horner)
  - #4016, proj 5.0.0 support (Raul Marin Rodriguez)
  - #4017, lwgeom lexer memory corruption (Peter E)
  - #4020, Casting from box3d to geometry now returns correctly connected
           PolyhedralSurface (Matthias Bay)
  - #4025, #4032 Incorrect answers for temporally "almost overlapping" ranges
           (Paul Ramsey, Darafei Praliaskouski)
  - #4052, schema qualify several functions in geography (Regina Obe)
  - #4055, ST_ClusterIntersecting drops SRID (Daniel Baston)

  PR:		227360
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)
  MFH:		2018Q2

Changes:
  head/databases/postgis24/Makefile
  head/databases/postgis24/distinfo
  head/databases/postgis24/pkg-plist
Comment 5 commit-hook freebsd_committer 2018-04-21 14:20:12 UTC
A commit references this bug:

Author: riggs
Date: Sat Apr 21 14:19:28 UTC 2018
New revision: 467891
URL: https://svnweb.freebsd.org/changeset/ports/467891

Log:
  MFH: r467890

  Update to upstream release 2.4.4

  Details:
  Bug fixes
  - #3055, [raster] ST_Clip() on a raster without band crashes the server
          (Regina Obe)
  - #3942, geojson: Do not include private header for json-c >= 0.13
           (Bjoern Esser)
  - #3952, ST_Transform fails in parallel mode (Paul Ramsey)
  - #3978, Fix KNN when upgrading from 2.1 or older (Sandro Santilli)
  - #4003, lwpoly_construct_circle: Avoid division by zero (Raul Marin Rodriguez)
  - #4004, Avoid memory exhaustion when building a btree index (Edmund Horner)
  - #4016, proj 5.0.0 support (Raul Marin Rodriguez)
  - #4017, lwgeom lexer memory corruption (Peter E)
  - #4020, Casting from box3d to geometry now returns correctly connected
           PolyhedralSurface (Matthias Bay)
  - #4025, #4032 Incorrect answers for temporally "almost overlapping" ranges
           (Paul Ramsey, Darafei Praliaskouski)
  - #4052, schema qualify several functions in geography (Regina Obe)
  - #4055, ST_ClusterIntersecting drops SRID (Daniel Baston)

  PR:		227360
  Submitted by:	lbartoletti@tuxfamily.org (maintainer)

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2018Q2/
  branches/2018Q2/databases/postgis24/Makefile
  branches/2018Q2/databases/postgis24/distinfo
  branches/2018Q2/databases/postgis24/pkg-plist